View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000695Ecere SDKidepublic2012-03-22 06:162013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000695: Skipping breakpoints is NOT usable
DescriptionWanting to give Skipping breakpoints a chance, all my breakpoints stopped working.

It might have to do with a signal being received while skipping breakpoints, putting the debugger in an unusable state (breakpoints-wise at least) until the IDE is restarted.
Steps To Reproduce1. Open up attached project and workspace
2. Hit F5
3. Click the button
4. Press Ctrl-Shift-F11 (You will get a SIGFPE)
5. Shift-F5
6. F5 again
7. Click the button
8. Notice how the breakpoint does NOT get hit anymore
(New breakpoints you set won't get hit either!)


Additional InformationIt would be nice if this could be fixed for 0.44.1 ;)
TagsNo tags attached.
Attached Files7z file icon NoMoreBPs.7z [^] (871 bytes) 2012-03-22 06:16

- Relationships

-  Notes
(0000535)
redj (administrator)
2012-03-22 20:28
edited on: 2012-04-05 15:07

https://github.com/ecere/sdk/commit/acbfe6a94791ef19cb94c868e0099a0295996c69 [^]

(0000680)
jerome (administrator)
2013-04-05 22:23
edited on: 2013-04-05 22:24

Skip Breakpoint is not working.

I put a breakpoint inside a method calling itself recursively, and stepping over a call to itself it breaks inside.

(0000682)
redj (administrator)
2013-04-13 04:05
edited on: 2013-05-05 16:00

fixed by
https://github.com/ecere/sdk/commit/76c34b31de6b17ab3b2e601ab8f6df247d3b7123 [^]
previously broken by
https://github.com/ecere/sdk/commit/bcc76f7adb90bcc1105f14f94fdbaed239e78d8f [^]


- Issue History
Date Modified Username Field Change
2012-03-22 06:16 jerome New Issue
2012-03-22 06:16 jerome Status new => assigned
2012-03-22 06:16 jerome Assigned To => redj
2012-03-22 06:16 jerome File Added: NoMoreBPs.7z
2012-03-22 20:28 redj Status assigned => resolved
2012-03-22 20:28 redj Fixed in Version => 0.44.1 Android
2012-03-22 20:28 redj Resolution open => fixed
2012-03-22 20:28 redj Note Added: 0000535
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-04-05 15:07 redj Note Edited: 0000535
2013-04-05 22:23 jerome Note Added: 0000680
2013-04-05 22:23 jerome Status resolved => assigned
2013-04-05 22:24 jerome Note Edited: 0000680
2013-04-05 22:24 jerome Resolution fixed => open
2013-04-11 14:22 redj Note Added: 0000681
2013-04-11 14:25 redj Status assigned => feedback
2013-04-11 14:39 redj Note Deleted: 0000681
2013-04-11 14:39 redj Status feedback => assigned
2013-04-13 04:05 redj Status assigned => resolved
2013-04-13 04:05 redj Resolution open => fixed
2013-04-13 04:05 redj Note Added: 0000682
2013-05-05 16:00 redj Note Edited: 0000682
2013-05-22 20:31 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker